## ros-one-collada-parser 1.12.13-1jammy.20251023.0132

=== debian/changelog ===
ros-one-collada-parser (1.12.13-1jammy.20251023.0132) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 23 Oct 2025 01:32:01 +0000

ros-one-collada-parser (1.12.13-0jammy) jammy; urgency=high

  * Update to newer CMake to get rid of CMP0048 warning (#38 <https://github.com/ros/collada_urdf/issues/38>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 14 Jul 2020 00:00:00 -0000

ros-one-collada-parser (1.12.12-0jammy) jammy; urgency=high

  * add exec_depend to package.xml of collada_parser for loading by pluginlib (#27 <https://github.com/ros/collada_urdf/issues/27>)
  * Contributors: Yohei Kakiuchi

 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 08 May 2018 00:00:00 -0000

ros-one-collada-parser (1.12.11-0jammy) jammy; urgency=high

  * Collada cleanup dependencies (#26 <https://github.com/ros/collada_urdf/issues/26>)
  * update links now that this is in its own repo
  * Make CMakeLists.txt depend on collada-dom version 2.4. (#11 <https://github.com/ros/collada_urdf/issues/11>)
  * Contributors: Chris Lalancette, Mikael Arguedas

 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 17 Apr 2018 00:00:00 -0000

ros-one-collada-parser (1.12.10-0jammy) jammy; urgency=high

  * Moved collada_parser and collada_urdf to new repository

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 04 May 2017 00:00:00 -0000

ros-one-collada-parser (1.12.9-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 26 Apr 2017 00:00:00 -0000

ros-one-collada-parser (1.12.8-0jammy) jammy; urgency=high

  * add Chris and Shane as maintainers (#184 <https://github.com/ros/robot_model/issues/184>)
  * fix missed mandatory -std=c++11 flag (#181 <https://github.com/ros/robot_model/issues/181>)
    collada_parser,kdl_parser,urdf: add c++11 flag,
    collada_parser: replace typeof with ansi __typeof__
    builded/tested on gentoo
    Thanks den4ix for the contribution!
  * Contributors: Denis Romanchuk, William Woodall

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 27 Mar 2017 00:00:00 -0000

ros-one-collada-parser (1.12.7-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 26 Jan 2017 00:00:00 -0000

ros-one-collada-parser (1.12.6-0jammy) jammy; urgency=high

  * Now using ``urdf::*ShredPtr`` instead of ``boost::shared_ptr`` (#144 <https://github.com/ros/robot_model/issues/144>)
  * Contributors: Jochen Sprickerhof

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 04 Jan 2017 00:00:00 -0000

ros-one-collada-parser (1.12.5-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 27 Oct 2016 00:00:00 -0000

ros-one-collada-parser (1.12.4-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 23 Aug 2016 00:00:00 -0000

ros-one-collada-parser (1.12.3-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 10 Jun 2016 00:00:00 -0000

ros-one-collada-parser (1.12.2-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 12 Apr 2016 00:00:00 -0000

ros-one-collada-parser (1.12.1-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Sun, 10 Apr 2016 00:00:00 -0000

ros-one-collada-parser (1.11.8-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 11 Sep 2015 00:00:00 -0000

ros-one-collada-parser (1.11.7-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 22 Apr 2015 00:00:00 -0000

ros-one-collada-parser (1.11.6-0jammy) jammy; urgency=high

  * fix rotation of joint axis when oriantation between parent link and child link is differ
  * Contributors: YoheiKakiuchi

 -- Chris Lalancette <clalancette@osrfoundation.org>  Sun, 30 Nov 2014 00:00:00 -0000

ros-one-collada-parser (1.11.5-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 24 Jul 2014 00:00:00 -0000

ros-one-collada-parser (1.11.4-0jammy) jammy; urgency=high

  * collada_parser: add extract actuators, fix for using nominal torque
  * moving to new dependency for urdfdom and urdfdom_headers. https://github.com/ros/rosdistro/issues/4633
  * Contributors: Tully Foote, YoheiKakiuchi

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 07 Jul 2014 00:00:00 -0000

ros-one-collada-parser (1.11.3-0jammy) jammy; urgency=high

  * update usage of urdfdom_headers for indigo/trusty
  * Contributors: William Woodall

 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 24 Jun 2014 00:00:00 -0000

ros-one-collada-parser (1.11.2-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Sat, 22 Mar 2014 00:00:00 -0000

ros-one-collada-parser (1.11.1-0jammy) jammy; urgency=high

  * remove visual and collision if there is no vertices
  * do not use visual and collision group
  * fix debug message
  * fix problem of root coordinates
  * Contributors: YoheiKakiuchi

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 20 Mar 2014 00:00:00 -0000

ros-one-collada-parser (1.11.0-0jammy) jammy; urgency=high

  * fix, joint axis should be rotated depend on local coords
  * fix overwriting velocity limit
  * Contributors: YoheiKakiuchi

 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 21 Feb 2014 00:00:00 -0000

ros-one-collada-parser (1.10.18-0jammy) jammy; urgency=high

  * add DEPENDS for kdl_parser
  * Contributors: Ioan Sucan

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 04 Dec 2013 00:00:00 -0000

ros-one-collada-parser (1.10.16-0jammy) jammy; urgency=high

  * fix for using collada_parser_plugin

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 18 Nov 2013 00:00:00 -0000

ros-one-collada-parser (1.10.15-0jammy) jammy; urgency=high





## ros-one-collada-parser 1.12.13-1jammy.20260220.2222

=== debian/changelog ===
ros-one-collada-parser (1.12.13-1jammy.20260220.2222) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 20 Feb 2026 22:22:05 +0000

## ros-one-collada-parser 1.12.13-1noble.20251023.0129

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(collada_parser)

find_package(Boost REQUIRED system)

find_package(catkin REQUIRED COMPONENTS class_loader rosconsole urdf urdf_parser_plugin)
find_package(urdfdom_headers REQUIRED)

include_directories(include ${Boost_INCLUDE_DIR} ${catkin_INCLUDE_DIRS} ${urdfdom_headers_INCLUDE_DIRS})

set(CMAKE_MODULE_PATH  ${PROJECT_SOURCE_DIR}/cmake-extensions/)
find_package(PkgConfig)
find_package(COLLADA_DOM 2.4 REQUIRED COMPONENTS 1.5)
if(COLLADA_DOM_FOUND)
  include_directories(${COLLADA_DOM_INCLUDE_DIRS})
  link_directories(${COLLADA_DOM_LIBRARY_DIRS})
endif()

catkin_package(
  LIBRARIES ${PROJECT_NAME}
  INCLUDE_DIRS include
  CATKIN_DEPENDS class_loader rosconsole urdf urdf_parser_plugin
  DEPENDS COLLADA_DOM
)

# necessary for collada reader to create the temporary dae files due
# to limitations in the URDF geometry
include (CheckFunctionExists)
check_function_exists(mkstemps HAVE_MKSTEMPS)
if(HAVE_MKSTEMPS)
  add_definitions("-DHAVE_MKSTEMPS")
endif()

# build the parser lib
add_library(${PROJECT_NAME} src/collada_parser.cpp)
target_link_libraries(${PROJECT_NAME}
  ${COLLADA_DOM_LIBRARIES} ${Boost_LIBRARIES} ${catkin_LIBRARIES}
)

# build the plugin for the parser
add_library(${PROJECT_NAME}_plugin src/collada_parser_plugin.cpp)
target_link_libraries(${PROJECT_NAME}_plugin
  ${PROJECT_NAME} ${Boost_LIBRARIES} ${catkin_LIBRARIES}
)

set_target_properties(${PROJECT_NAME}
  PROPERTIES COMPILER_FLAGS "${COLLADA_DOM_CFLAGS_OTHER}"
)
if(APPLE)
  set_target_properties(${PROJECT_NAME}
    PROPERTIES LINK_FLAGS
    "${COLLADA_DOM_LDFLAGS_OTHER} -undefined dynamic_lookup"
  )
else()
  set_target_properties(${PROJECT_NAME}
    PROPERTIES LINK_FLAGS "${COLLADA_DOM_LDFLAGS_OTHER}"
  )
endif()

install(TARGETS ${PROJECT_NAME} ${PROJECT_NAME}_plugin
  DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(FILES collada_parser_plugin_description.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-one-collada-parser (1.12.13-1noble.20251023.0129) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 23 Oct 2025 01:29:49 +0000

ros-one-collada-parser (1.12.13-0noble) noble; urgency=high

  * Update to newer CMake to get rid of CMP0048 warning (#38 <https://github.com/ros/collada_urdf/issues/38>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 14 Jul 2020 00:00:00 -0000

ros-one-collada-parser (1.12.12-0noble) noble; urgency=high

  * add exec_depend to package.xml of collada_parser for loading by pluginlib (#27 <https://github.com/ros/collada_urdf/issues/27>)
  * Contributors: Yohei Kakiuchi

 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 08 May 2018 00:00:00 -0000

ros-one-collada-parser (1.12.11-0noble) noble; urgency=high

  * Collada cleanup dependencies (#26 <https://github.com/ros/collada_urdf/issues/26>)
  * update links now that this is in its own repo
  * Make CMakeLists.txt depend on collada-dom version 2.4. (#11 <https://github.com/ros/collada_urdf/issues/11>)
  * Contributors: Chris Lalancette, Mikael Arguedas

 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 17 Apr 2018 00:00:00 -0000

ros-one-collada-parser (1.12.10-0noble) noble; urgency=high

  * Moved collada_parser and collada_urdf to new repository

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 04 May 2017 00:00:00 -0000

ros-one-collada-parser (1.12.9-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 26 Apr 2017 00:00:00 -0000

ros-one-collada-parser (1.12.8-0noble) noble; urgency=high

  * add Chris and Shane as maintainers (#184 <https://github.com/ros/robot_model/issues/184>)
  * fix missed mandatory -std=c++11 flag (#181 <https://github.com/ros/robot_model/issues/181>)
    collada_parser,kdl_parser,urdf: add c++11 flag,
    collada_parser: replace typeof with ansi __typeof__
    builded/tested on gentoo
    Thanks den4ix for the contribution!
  * Contributors: Denis Romanchuk, William Woodall

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 27 Mar 2017 00:00:00 -0000

ros-one-collada-parser (1.12.7-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 26 Jan 2017 00:00:00 -0000

ros-one-collada-parser (1.12.6-0noble) noble; urgency=high

  * Now using ``urdf::*ShredPtr`` instead of ``boost::shared_ptr`` (#144 <https://github.com/ros/robot_model/issues/144>)
  * Contributors: Jochen Sprickerhof

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 04 Jan 2017 00:00:00 -0000

ros-one-collada-parser (1.12.5-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 27 Oct 2016 00:00:00 -0000

ros-one-collada-parser (1.12.4-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 23 Aug 2016 00:00:00 -0000

ros-one-collada-parser (1.12.3-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 10 Jun 2016 00:00:00 -0000

ros-one-collada-parser (1.12.2-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 12 Apr 2016 00:00:00 -0000

ros-one-collada-parser (1.12.1-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Sun, 10 Apr 2016 00:00:00 -0000

ros-one-collada-parser (1.11.8-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 11 Sep 2015 00:00:00 -0000

ros-one-collada-parser (1.11.7-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 22 Apr 2015 00:00:00 -0000

ros-one-collada-parser (1.11.6-0noble) noble; urgency=high

  * fix rotation of joint axis when oriantation between parent link and child link is differ
  * Contributors: YoheiKakiuchi

 -- Chris Lalancette <clalancette@osrfoundation.org>  Sun, 30 Nov 2014 00:00:00 -0000

ros-one-collada-parser (1.11.5-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 24 Jul 2014 00:00:00 -0000

ros-one-collada-parser (1.11.4-0noble) noble; urgency=high

  * collada_parser: add extract actuators, fix for using nominal torque
  * moving to new dependency for urdfdom and urdfdom_headers. https://github.com/ros/rosdistro/issues/4633
  * Contributors: Tully Foote, YoheiKakiuchi

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 07 Jul 2014 00:00:00 -0000

ros-one-collada-parser (1.11.3-0noble) noble; urgency=high

  * update usage of urdfdom_headers for indigo/trusty
  * Contributors: William Woodall

 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 24 Jun 2014 00:00:00 -0000

ros-one-collada-parser (1.11.2-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Sat, 22 Mar 2014 00:00:00 -0000

ros-one-collada-parser (1.11.1-0noble) noble; urgency=high

  * remove visual and collision if there is no vertices
  * do not use visual and collision group
  * fix debug message
  * fix problem of root coordinates
  * Contributors: YoheiKakiuchi

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 20 Mar 2014 00:00:00 -0000

ros-one-collada-parser (1.11.0-0noble) noble; urgency=high

  * fix, joint axis should be rotated depend on local coords
  * fix overwriting velocity limit
  * Contributors: YoheiKakiuchi

 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 21 Feb 2014 00:00:00 -0000

ros-one-collada-parser (1.10.18-0noble) noble; urgency=high

  * add DEPENDS for kdl_parser
  * Contributors: Ioan Sucan

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 04 Dec 2013 00:00:00 -0000

ros-one-collada-parser (1.10.16-0noble) noble; urgency=high

  * fix for using collada_parser_plugin

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 18 Nov 2013 00:00:00 -0000

ros-one-collada-parser (1.10.15-0noble) noble; urgency=high





=== debian/control ===
Source: ros-one-collada-parser
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libcollada-dom2.4-dp-dev, liburdfdom-headers-dev, ros-one-catkin, ros-one-class-loader, ros-one-rosconsole, ros-one-urdf, ros-one-urdf-parser-plugin
Homepage: http://ros.org/wiki/collada_parser
Standards-Version: 3.9.2

Package: ros-one-collada-parser
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcollada-dom2.4-dp-dev, ros-one-class-loader, ros-one-rosconsole, ros-one-urdf, ros-one-urdf-parser-plugin
Description: This package contains a C++ parser for the Collada robot description format.
 The parser reads a Collada XML robot description, and creates a C++ URDF model. Although it is possible to directly use this parser when working with Collada robot descriptions, the preferred user API is found in the urdf package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-collada-parser//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-collada-parser 1.12.13-1noble.20260220.2233

=== debian/changelog ===
ros-one-collada-parser (1.12.13-1noble.20260220.2233) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 20 Feb 2026 22:33:51 +0000
